### Method

# ECal ComponentAlarmInstance set_uid

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_instance_set_uid (
      ECalComponentAlarmInstance* instance,
      const gchar* uid
    )

#### Description [src]

Set the alarm UID.

Available since: 3.34

#### Parameters

`uid`

  Type: `const gchar*`

  Alarm UID to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.